using SewingDressesContracts.BindingModels;
using SewingDressesContracts.SearchModels;
using SewingDressesContracts.ViewModels;
namespace SewingDressesContracts.StoragesContracts
{
	public interface IMessageInfoStorage
	{
		List<MessageInfoViewModel> GetFullList();
		List<MessageInfoViewModel> GetFilteredList(MessageInfoSearchModel model);
		MessageInfoViewModel? GetElement(MessageInfoSearchModel model);
		MessageInfoViewModel? Insert(MessageInfoBindingModel mode);
	}
}
